SharePoint 2010 관리 셸을 Windows PowerShell 3.0과 로드 되지 않습니다.

기술 자료 번역 기술 자료 번역
기술 자료: 2796733 - 이 문서가 적용되는 제품 보기.
모두 확대 | 모두 축소

이 페이지에서

현상

서버에서 Microsoft SharePoint Server 2010 및 Windows PowerShell 3.0 설치 후 SharePoint 2010 관리 셸을 시작할 때 다음 오류 메시지 중 하나 이상을 나타날.

오류 메시지 1
로컬 팜에 액세스할 수 없습니다. Featuredependencyid와 Cmdlet 등록 되지 않았습니다.
오류 메시지 2
Microsoft.Net 런타임의 버전 4.0.30319.17929는 Microsoft SharePoint 지원 되지 않습니다.

해결 과정

이 문제를 해결 하려면 SharePoint 2010 관리 셸을 대상 필드 값을 변경 합니다. 이렇게 하려면 다음과이 같이 하십시오.
  1. 클릭시작를 클릭 하 고 마우스 오른쪽 단추로SharePoint 2010 관리 셸.
  2. 클릭 속성.
  3. 클릭 하 여 바로 가기 SharePoint 2010 관리 셸 속성 창에서 탭.
  4. 다음 값을 입력의 대상 필드:

    C:\Windows\System32\WindowsPowerShell\v1.0\powershell.exe-버전 2.0 NoExit "& 'C:\Program 대화 상자 Shared\Web Server Extensions\14\CONFIG\POWERSHELL\Registration\\sharepoint.ps1'"

속성

기술 자료: 2796733 - 마지막 검토: 2012년 12월 21일 금요일 - 수정: 1.0
본 문서의 정보는 다음의 제품에 적용됩니다.
  • Microsoft SharePoint Server 2010
  • Microsoft SharePoint Server 2010 Service Pack 1
키워드:?
kbsurveynew kbprb kbexpertiseinter kbtshoot kbmt KB2796733 KbMtko
기계 번역된 문서
중요: 본 문서는 전문 번역가가 번역한 것이 아니라 Microsoft 기계 번역 소프트웨어로 번역한 것입니다. Microsoft는 번역가가 번역한 문서 및 기계 번역된 문서를 모두 제공하므로 Microsoft 기술 자료에 있는 모든 문서를 한글로 접할 수 있습니다. 그러나 기계 번역 문서가 항상 완벽한 것은 아닙니다. 따라서 기계 번역 문서에는 마치 외국인이 한국어로 말할 때 실수를 하는 것처럼 어휘, 구문 또는 문법에 오류가 있을 수 있습니다. Microsoft는 내용상의 오역 또는 Microsoft 고객이 이러한 오역을 사용함으로써 발생하는 부 정확성, 오류 또는 손해에 대해 책임을 지지 않습니다. Microsoft는 이러한 문제를 해결하기 위해 기계 번역 소프트웨어를 자주 업데이트하고 있습니다.
이 문서의 영문 버전 보기:2796733

피드백 보내기

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com